Update an agent binary download source

Base URL
https://{kibana_url}
  • PUT /api/fleet/agent_download_sources/{sourceId}
Auth

Update an agent binary download source by ID.

Required authorization

Privileges fleet-settings-all

Path parameters

sourceId string required

The ID of the download source

Header parameters

kbn-xsrf string required

A required header to protect against CSRF attacks

Request body

auth object nullable
api_key string
headers object[] · max items: 100
key string required
value string required
password string
username string
host string · format: uri required
id string
is_default boolean · default: false
name string required
proxy_id string nullable

The ID of the proxy to use for this download source. See the proxies API for more information.

secrets object
auth object
api_key union anyOf
Any of:
id string required
password union anyOf
Any of:
id string required
ssl object
key union anyOf
Any of:
id string required
ssl object
certificate string
certificate_authorities string[] · max items: 10
key string

Responses

Successful response

application/json
item object required
auth object nullable
api_key string
headers object[] · max items: 100
key string required
value string required
password string
username string
host string · format: uri required
id string required
is_default boolean · default: false
is_preconfigured boolean
name string required
proxy_id string nullable

The ID of the proxy to use for this download source. See the proxies API for more information.

secrets object
auth object
api_key union anyOf
Any of:
id string required
password union anyOf
Any of:
id string required
ssl object
key union anyOf
Any of:
id string required
ssl object
certificate string
certificate_authorities string[] · max items: 10
key string

Bad Request

application/json
attributes object required
error string
errorType string
message string required
statusCode number
404

Not Found

application/json
Base URL
https://{kibana_url}